require "MiddleClass.lua"

MovableObject = class('MovableObject')

function MovableObject:initialize(x,y)
	self.x = x
	self.y = y
	self.w = 64
	self.h = 64
	self.xvel = 0
	self.yvel = 0
	
	self.sprite_src = "sprites/crate.png"
	self.sprite = love.graphics.newImage(self.sprite_src)
	self.landed = true
end

function MovableObject:checkHit(x,y)
	
	print("Check ("..x..","..y..") against (" .. self.x .. "," .. self.y+412 ..")")
	
	if x >= self.x and x <= self.x + self.w and
	   y >= self.y + 412 and y <= self.y + 412 + self.h then
		return true
	end
	
	return false
end

function MovableObject:draw()
	love.graphics.setColor(0,0,0,150)
	love.graphics.rectangle("fill", 250 + self.x - math.floor(character.x), 420, 64-self.y/4, 64-self.y/4)
	love.graphics.setColor(255,255,255)
	love.graphics.draw(self.sprite, 250 + self.x - math.floor(character.x), self.y+412)
end

function MovableObject:update(dt)
	if self.y < 0 then
		self.landed = false
	end
	
	self.x = self.x + self.xvel * dt
	self.y = self.y + self.yvel * dt
	
	if self.xvel > 0 then
		self.xvel = self.xvel - 50 * dt
	end
	
	if self.xvel < 0 then
		self.xvel = self.xvel + 50 * dt
	end
	
	if self.yvel < 0 or self.y < 0 then
		self.yvel = self.yvel + 200 * dt
	else
		self.y = 0
		if not self.landed then
			self.landed = true
			sound_play("land")
		end
	end
	
end
