
function loadBackgrounds()
	layers = { [1] = {src = "background/bg0.png", speed = 100, x1 = 0, y1 = 0, x2 = 500, y2 = 0},
			   [2] = {src = "background/bg1.png", speed = 90, x1 = 0, y1 = 0, x2 = 500, y2 = 0},
	           [3] = {src = "background/bg2.png", speed = 50, x1 = 0, y1 = 0, x2 = 500, y2 = 0},
			   [4] = {src = "background/bg3.png", speed = 0, x1 = 0, y1 = 0, x2 = 512, y2 = 0} }
			   
	-- Load images.
	for i=1, #layers do
		layers[i].src = love.graphics.newImage( layers[i].src )
	end
end

function scrollBackground(speed, dt)
	for i=1, #layers do
		if layers[i].speed > 0 then
			layers[i].x1 = layers[i].x1 - (layers[i].speed/100 * speed * dt) 
			layers[i].x2 = layers[i].x2 - (layers[i].speed/100 * speed * dt)
			
			if speed > 0 then 
				if layers[i].x1 <= -500 then
					layers[i].x1 = 500
				end
				
				if layers[i].x2 <= -500 then
					layers[i].x2 = 500
				end
			else
				if layers[i].x1 >= 500 then
					layers[i].x1 = -500
				end
				
				if layers[i].x2 >= 500 then
					layers[i].x2 = -500
				end
			end
		end
	end
end

function drawBackground()
	for i=#layers, 1, -1 do
		love.graphics.draw( layers[i].src, math.floor(layers[i].x1), layers[i].y1 )
		love.graphics.draw( layers[i].src, math.floor(layers[i].x2), layers[i].y2 )
	end
end