require "background.lua"
require "character.lua"
require "MovableObject.lua"

function love.load()
	math.randomseed(os.time())
	loadBackgrounds()
	character = Character:new()
	
	-- audio
	bg_music = love.audio.newSource("audio/bg_music.mp3")
	love.audio.play(bg_music)
	
	--love.graphics.toggleFullscreen()
	
	c = MovableObject:new(250, 0)
end

function love.update(dt)
	if love.keyboard.isDown("left") then
		scrollBackground(-200, dt)
	end
	
	if love.keyboard.isDown("right") then
		scrollBackground(200, dt)
	end
	
	character:update(dt)
	c:update(dt)
end

function love.keypressed(key,unicode)
	character:keypressed(key,unicode)
end

function love.keyreleased(key,unicode)
	character:keyreleased(key,unicode)
end

function love.draw()
	drawBackground()
	c:draw()
	character:draw()
end